Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://ageneral.ai/v1/agents \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "projectId": "<string>", "name": "<string>", "guest": "<string>", "runtimeProvider": "<string>", "guestRuntimeProfile": "<string>", "firecracker": { "vcpu": 123, "memMib": 123, "runtimeDataSize": "<string>" } } '
{ "name": "<string>", "done": true, "metadata": {}, "response": {}, "error": {} }
Session JWT from Ageneral sign-in. Send as Authorization: Bearer <token>.
Authorization: Bearer <token>
Catalog workload key (for example openclaw) resolved to a pinned fc-guest image.
openclaw
Optional per-agent Firecracker overrides.
Show child attributes
Long-running operation (often completes immediately with done: true).
done: true
Subset of google.longrunning.Operation.
google.longrunning.Operation